Subject: Re: POSIX names for drive letters
From: mwoehlke <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 25 Aug 2006 11:32:08 -0500

Schwarz, Konrad wrote:
> Hi,
> 
> I know that it is kind of late :-), but I would like to suggest an
> alternative/additional mapping of drive letters to the MinGW and Cygwin
> file-system name space.
> 
> The proposed mapping for directory `C:\' is `//./C$/' (or perhaps
> `//./C/').
> 
> The reasons for this mapping are:
> [snip]

So... why exactly do you need this? The only thing I might actually 
support here (keeping in mind Eric's comments and CGF's clear agreement 
with them) would be treating '//./' as a special case of '//127.0.0.1/', 
at which point '//./C$/' is the UNC mapping of the default 'C$' share on 
the local machine. But I still fail to see why that is useful.

Or you could change your mount prefix to '/dev/fs', and have 
'/dev/fs/c', etc, which seems more "natural" and is also what Interix 
uses (so you have compatibility in case you ever use that POS).

-- 
Matthew
'$ time make world' -> real 5d:14h:37m:5.291s  user 0m:0.000s  sys 
4d:2h:14m:43.712s

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/